{% extends "organization/layout_organization.html" %}
{% load i18n %}

{% block page_content_title %}
    {% include "parts/_page_header.html" %}
{% endblock %}

{% block page %}

    <div class="page-section page-section-boxed" id="access-section">
        <div class="page-section-header">
            <h2>
                {% trans "Access settings" %}
            </h2>
        </div>

        <div class="page-section-content">
            <div class="light-box">
                <p>
                    {% blocktrans %}Give colleagues access to this organization.{% endblocktrans %}
                </p>
            </div>
            <form method="post" class="form">
                {% csrf_token %}

                {% load i18n %}

                    <table class="table align-last-td-right" id="access_rights_table">
                        <thead>
                            <tr>
                                <th>{% trans "E-mail" %}</th>
                                <th>{% trans "Access level" %}</th>
                            </tr>
                        </thead>

                        <tbody>
                            {% for permission in organization.users.all %}
                                <tr>
                                    <td>
                                        <input type="hidden" name="user_email" value="{{ permission.email }}" class="form-control"/>
                                        {{ permission.email }}
                                    </td>
                                    <td>
                                        <select name="user_access" class="form-control">
                                            <option value="full">
                                                {% trans 'Full access' %}
                                            </option>
                                            <option value="none">
                                                {% trans 'No access' %}
                                            </option>
                                        </select>
                                    </td>
                                </tr>
                            {% endfor %}
                            {% for invitation in access_invitations %}
                            <tr>
                                <td>
                                    {{ invitation.email }}
                                    <em>(invited by email)</em>
                                </td>
                                <td>Full access</td>
                            </tr>
                            {% endfor %}
                            <tr class="user-input-row">
                                <td>
                                    <input type="text" name="user_email" class="form-control" />
                                </td>
                                <td>
                                    <select name="user_access" class="form-control col-sm-3">
                                        <option value="full">
                                            {% trans 'Full access' %}
                                        </option>
                                        <option value="none">
                                            {% trans 'No access' %}
                                        </option>
                                    </select>
                                </td>
                            </tr>
                        </tbody>
                    </table>

                <br />

                <div class="">
                    <button type="submit" class="btn btn-primary">
                        {% trans 'Save' %}
                    </button>
                    <a href="{% url "my_org_detail" organization.slug %}" class="btn btn-default">
                        {% trans 'Cancel' %}
                    </a>
                </div>

            </form>

        </div>
    </div><!-- access section -->

{% endblock %}
